# Module: Haml::Filters::Plain

Includes:
  Base

Defined in:
  lib/haml/filters.rb

## Overview

Does not parse the filtered text. This is useful for large blocks of text without HTML tags, when you don’t want lines starting with `.` or `-` to be parsed.

## Instance Method Summary collapse

- #render(text)

### Methods included from Base

#compile, included, #internal_compile, #render_with_options

## Instance Method Details

### #render(text)

See Also:

- Base#render

    203

    # File 'lib/haml/filters.rb', line 203

    def render(text); text; end